IGOTU2GPX(1)

NAME

igotu2gpx - command line interface to the i-gotU GPS trackers

SYNOPSIS

igotu2gpx info|dump|clear|diff [OPTIONS]

DESCRIPTION

igotu2gpx gives access to the i-gotU USB GPS trackers via serial port (Windows) or libusb (Linux). It is possible to show the configuration of a GPS tracker, export tracks and waypoints in GPX format and dump and clear the internal flash memory.

--action action
    show GPS tracker configuration (info), output trackpoints (dump), clear memory of the GPS tracker (clear) or show configuration differences relative to an image file (diff)

-d, --device protocol:id
    connect to the specified device (usb:<vendor>:<product> (Unix) or serial:<n> (Windows))

-i, --image file
    read memory contents from file (saved by "dump -f raw")

-f, --format format
    use the specified output format: GPS exchange format (gpx), Google Earth (kml), raw dump of the flash memory (raw) or track point details (details)

--segments
    for output in GPX format, group trackpoints into segments instead of tracks

--utc-offset seconds
    time zone offset in seconds

--help
    help message

--version
    version information

-d, --verbose
    show USB and data transfer debug messages

EXAMPLES

Show general info and the configuration of a GPS tracker, including schedule table, recording interval settings and the password used:
    igotu2gpx info

Dump all tracks and waypoints on a GPS tracker in GPX format:
    igotu2gpx dump > track.gpx

Remove all trackpoints from the GPS tracker:
    igotu2gpx clear

Dump the complete flash memory of a GPS tracker to a file, and use it later to display a detailed listing of all trackpoints:
    igotu2gpx dump -f raw > flashimage.raw
    igotu2gpx dump -f details --image flashimage.raw

Dump the configuration of a GPS tracker to a file, and use it later to display the changes made by @trip PC:
    igotu2gpx dump -f raw > flashimage.raw
    # configuration changes in @trip PC ...
    igotu2gpx diff --image flashimage.raw

Notes

For gpsd support, try the navman kernel driver to get an USB serial device at something like /dev/ttyUSB0. Do this before you plug the device in:
    sudo modprobe navman
    echo -n "0x0df7 0x0900" | \
        sudo tee /sys/bus/usb-serial/drivers/navman/new_id
and then plug your device in. You now have read-only access to the device and you can use it as an NMEA data source for gpsd.

AUTHOR

igotu2gpx was written by Michael Hofmann <mh21@mh21.de>.

REPORTING BUGS

Report bugs at https://bugs.launchpad.net/igotu2gpx/.

COPYRIGHT

Copyright © 2009 Michael Hofmann <mh21@mh21.de>.

This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
http://mh21.de/igotu2gpx/